Package ch.qos.logback.core.joran.event.stax

## Class StaxEvent

- java.lang.Object
- - ch.qos.logback.core.joran.event.stax.StaxEvent

Direct Known Subclasses:
  `BodyEvent`, `EndEvent`, `StartEvent`

    public class StaxEvent
    extends java.lang.Object

### Method Summary

All Methods Instance Methods Concrete Methods
`javax.xml.stream.Location` `getLocation()`
`java.lang.String` `getName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getName

    public java.lang.String getName()

#### getLocation

    public javax.xml.stream.Location getLocation()